> For the complete documentation index, see [llms.txt](https://docs.coldstack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-request-headers.md).

# Common request headers

| Heading                | Description                                                                                                                                                                                                                                                                                                                                                                     |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`        | <p>Any request to ColdStack must be authorized.<br><br>Along with this heading <code>Date</code>, either a heading or a heading must be used <code>x-amz-date</code>.<br><br>Read about the authorization methods in the corresponding sections of the manual.</p>                                                                                                              |
| `Cache-Control`        | A set of directives for caching data according to [RFC 2616](https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.9) .                                                                                                                                                                                                                                                 |
| `Content-​Disposition` | The name under which Object Storage will offer to save the object as a file when unloading. [RFC 2616](http://www.w3.org/Protocols/rfc2616/rfc2616-sec19.html#sec19.5.1) compliant .                                                                                                                                                                                            |
| `Content-Encoding`     | Defines the encoding of the content according to [RFC 2616](https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.11) .                                                                                                                                                                                                                                                 |
| `Content-Length`       | <p>The length of the request body (without headers) in accordance with <a href="https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.13">RFC 2616</a> .<br><br>The header is required for all requests that transfer any data to Object Storage, for example, when loading an object.</p>                                                                              |
| `Content-Type`         | <p>The data type in the request. Eg <code>text/html</code>. For more information about data types, see the Wikipedia article <a href="https://ru.wikipedia.org/wiki/%D0%A1%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_MIME-%D1%82%D0%B8%D0%BF%D0%BE%D0%B2">List of MIME Types</a> .<br><br>Set by default <code>binary/octet-stream</code>.</p>                                              |
| `Content-MD5`          | <p>128-bit MD5 hash of the request body, encoded <code>base64</code>.<br><br>Compliant with <a href="http://www.ietf.org/rfc/rfc1864.txt">RFC 1864</a> specification .<br><br>Object Storage uses a header to ensure that the data sent matches the received data.</p>                                                                                                          |
| `Date`                 | <p>The date and time the request was sent.<br><br>Format: <code>Thu, 18 Jan 2018 09:57:35 GMT</code>.<br><br>When set <code>x-amz-date</code>, Object Storage ignores the header <code>Date</code>.</p>                                                                                                                                                                         |
| `Expect`               | <p>Expected code <code>100-continue</code>.<br><br>When loading data into Object Storage, an application can use the following logic:<br>- Send a request without a body, but with the Expect: 100-continue header set.<br>- Send a request with a body after receiving a response <code>100-continue</code>. This request <code>Expect</code>should not contain a header .</p> |
| `Expires`              | The expiration date of the answer. [RFC 2616](https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.21) compliant .                                                                                                                                                                                                                                                     |
| `Host`                 | <p>The receiving host of the request.<br><br>The header is required for HTTP / 1.1, but optional for HTTP / 1.0 requests.</p>                                                                                                                                                                                                                                                   |
| `x-amz-date`           | <p>Date and time at the source of the request.<br><br>Format: <code>Thu, 18 Jan 2018 09:57:35 GMT</code>.<br><br>When set <code>x-amz-date</code>, Object Storage ignores the header <code>Date</code>.</p>                                                                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-request-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
